# WOK
TKWOK
WOKernel

# WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit Class Reference

`#include <WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit.hxx>`

Inheritance diagram for WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit ()
Standard_EXPORT | WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit (const WOKernel_DataMapOfHAsciiStringOfDevUnit &aMap)
Standard_EXPORT void | Initialize (const WOKernel_DataMapOfHAsciiStringOfDevUnit &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_WOKernel_DevUnit & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit | ( |  | ) |

Standard_EXPORT WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit | ( | const WOKernel_DataMapOfHAsciiStringOfDevUnit & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::Initialize | ( | const WOKernel_DataMapOfHAsciiStringOfDevUnit & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::Key | ( |  | ) | const

void WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_WOKernel_DevUnit& WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKernel_DataMapIteratorOfDataMapOfHAsciiStringOfDevUnit.hxx